divides_result< T, T, typename std::enable_if< ! is_rheolef_arithmetic< T >::value &&! is_undeterminated< T >::value >::type >

## Public Types

typedef scalar_traits< T >::type | S
typedef binop_error< details::divides, T, T, undeterminated_basic< S > > | type

## Detailed Description

### template<class T>
struct rheolef::details::divides_result< T, T, typename std::enable_if< ! is_rheolef_arithmetic< T >::value &&! is_undeterminated< T >::value >::type >

Definition at line 1185 of file expression.h.

## Member Typedef Documentation

## S

typedef scalar_traits<T>::type S

Definition at line 1191 of file expression.h.

## type

typedef binop_error<details::divides,T,T,undeterminated_basic<S> > type

Definition at line 1192 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h